interactions:
- request:
    body: refresh_token=**********&grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['121']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMu2rDQBBFf2XYWoUgIEhKBxUxIaUIbsQ+Lso4SCtmxovWJv8eNqkuHM65D+dj
        hOps+RubeyF3LuV+edXP09uwHnEJcXoudbq+T+PoOnJ/3mx1R5MDvEAaTygcMXNq+CNvaBDHzgKd
        uT0/DX3fkdOY/1skNvpitSyVOGEztkpr1VsQpMSmtAsXb1ih6hcoCXwiwZ7FSH0B6S2sbG00CgdQ
        yQb38wuHIoc81gAAAA==
    headers:
      CF-RAY: [2c72d53fade714c7-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 23:15:12 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d44e48573afa9ac2e3b4a5212a41f656d1469315711; expires=Sun,
          23-Jul-17 23:15:11 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAIL6k1cC/31U23KcMAz9lQzPnU42yXa3/RmNMIJ1MTYj22xoJv9eiWWDaSZ9A+tIOjq6vFU2
        Ag2jCzNR9euhRRfp20N1wQgDWlc8eRwUUaX5N/aVPBgmTNTI2+FwPp4PL6fn0/dHdbYNQcthAA51
        SLEIItlijiP5ZnG8P6+hICezhjudjz/v4ZRLaP7l46zvoUceUF00toeakv59hA3DQD5tKIW1kioz
        Kas38ZEwBHbAjmBkmixdI7jQdcIm5CSgxFljMXU2JmJRS3hA68IVEkVFvFUTskWv35W+Qcchj6oR
        vY7EdiFhteCn5/eF+kRwwVF0sL4DH65bHmwi8SR5mMbASeyb7b9srd+Ajjo0M0RCNhdFtpttCLV1
        BFeqISF3tE8h6QGzSTYU4bD5Q9xDE4RqgsRo+s0YkzX9DKvWKutqyGPHKJNgQujtovcuRwpSYpu9
        yrIaAqPviEntOpYidOFmhy4zdLaViF4UijuOojR6YUjTngXllQCMwVkzb5Y2sJE2pDQW8FUdj0l7
        VKP3xJv1KwVmR/FClKKm5/l6kSKKsnKqgxQKRgj0i/O+rUs/syyhKLM9e7quvZXJNmgun0tYyIuM
        jWUyxbBGWSjyOh6f9BgxR4Jdom4ZxyjspWE7sFK4zSE0FoVMKRSuQuxqibkWOo1NwNmVTU+yBSLE
        Z6kjJR3BwjALLtdiMYxjKT/KXE426WDzZKV5V7apEPpjsOg1UTlYY5ClpKFejs4dLMDb0MAgAiJs
        1FdKZeDaBdPfF/4rOnLF7gl0zYOu8eG8Ocj164IrONjlslXFfdSf6gkHf9LzoWgpZrSM60Yejucf
        j+eXx5ejon0dXmW883J67rdSstrWykVYFqgIvkQztxpVbnW4XWNdpSLPeod9du79L6CuxtciBgAA
    headers:
      CF-RAY: [2c72d54c019f0920-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['684']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 23:15:14 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=dfe4786217498278d633d8c00889002a41469315713; expires=Sun,
          23-Jul-17 23:15:13 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['590.0']
      x-ratelimit-reset: ['286']
      x-ratelimit-used: ['10']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=dfe4786217498278d633d8c00889002a41469315713]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/user/tyjak/saved.json?sort=new&t=all&limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 56679 characters]
    headers:
      CF-RAY: [2c72d557a1f20920-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['38007']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 23:15:17 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['589.0']
      x-ratelimit-reset: ['285']
      x-ratelimit-used: ['11']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=YIkMqivNH3XESbyKXmIzl%2FBvY24rOJCMdBRuW3NHEx5fDgU0nY1qjNkg9cKYydlueAQlihloCjlUPokeMv4vu5HismTgw2pb']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=dfe4786217498278d633d8c00889002a41469315713]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/comments/4u8he3/_/d5nz313.json
  response:
    body:
      string: !!binary |
        H4sIAIb6k1cC/81XbW/bNhD+K4KGdV86W++WGhhD23XB0qZpl6ZBmhQCRVEWE0lUSMrOC/rfd0dL
        seO4zQZsQL5Rx7vjPfeu01v7gje5/cKy33GleTOzn1t2TjQB0q1di7wkqoRz01UV3NCSV7lkDVBO
        V6LavyeVi5pwZLF5PevkiIoa7zPSNCxPs+uVuprlnKSszhjquf0GJNVlkuU51yjfcqpQVLGq0OxK
        p6Wuq5X4QEZWZKv4BVPwoWXHjKrZjCkNbyohkakX6xSTqWQtEJH79KtRRTvJUmPQirPizUVaVITL
        tH+nv+AGd9DFJTPYCynqtHdHzzIDTxlYDnwQCZ6bm8+CVAqtoxWnF/coS5PAMqJEg5b1mkinSyHx
        wV1SVWLxSogMH90wtiE1QybtpyvDFBUSqZEb+qiqbaWYb0QBCDJ14zVLSp7nJsgDoZVsztnCxvDy
        msyMmyEDlOgkRf23dicxMnapdatejMd8tAyjMRJTYHzw8dXJyc2eW1/7J7+/3y+i61jM9nXm/Pnl
        av+df1LuXn88fPP5Mtw9Gp23s9/U1C2o4weMMhZkOYtdGgcki9woj7Mw9woDcMFzjQmaROjnkvFZ
        iXGKAgezSTIlqk7zpT9P/wcrC66nVIr2GanbHTxMC0KZ+tl7zRoNn9fmgshy6pnTYuo6sTmpqVMQ
        ltCMxhHzoyhgUeTGSeYUceFkAS2cdXwgtY5v4gG8JwHHc6MeTuT5YRY6DIwPC+YUWRY5YULcLEk8
        RifJOhyQWofjBsFTweN7zhCeKCgmUeiEYZh4TlCwCXNiN/MdlxRRFLJ1PCC1jsdz/aeCByqhx5O5
        RR5SlnmTSeJB+bBsMvEnDvFjGtEocNfxgNQ6nsCLngoeKPQeD0uIR6FHBDSJgtBJSJ7HUFCJ700g
        EbP8kfaAbX9OJCeNGQNm+iz7+uKvP67esJMP53sHkX+412UHh/6lev3p5mhx3MrzG8KcN8ef9y+q
        Vwv721eU02VXZw3hd94B52QjQ1UPfKR3xZdPzXz37Zc4yK/exXvV26OjxdHB3odSn9+kJ7/G+o+r
        ei4ujhX6yLTxYSqmSwt1mHqXpdPhHejV9+bI2tSiSqW0IurBNNlyD4/IObs2o1wsTMNEn8EO8KNh
        uTG9yf0hJ1kt5qTqZ9rKiFYoGOa8MaMb7TUgNUxEfk8e5+pKiqsUR/7G/dIlg2Ima2IUguKxHOMG
        MQan15BOaryci2NYRDowCvAWFAzpapZS0WjYFVLepAoSgqS1aDglKSVjs1mIjVkNE5Klw3C9G+kA
        cxkKN4gS3/Wh8Y3Qh2tlg1UzbEXjGcxzJq/H748nixt8515whtXm0MTF8hw3Qp7LjkgwkTfrT2uu
        KzP9XxpsFmIb9+CsHpzFG+sQwVn7Btxz6/VLVNibnXaa9qZ7cegOprcY9n596Nq50CyVBCYqUJ1R
        jEOp6ep0cDFQ/dgD4pyrjbREtlUi9fHKl1tnx1VpmJH8zZQmgdUOl56eMWPF0tlLDmxG/8Xmapre
        ndSPymzL+vq97DYF2GtYX8aG/fROvK24IZjtdeta2tdTv9EudeZhcwPJhTKPLZmPr5SQIBnkIKRc
        VxSosiXgpTsHuCm8Nhc3sSnQPt9dF1VsWyUx05AqFYcq1HiDlmUix6N9Zn8qIR2xmizRWBo+FlAC
        lmZVpSzIVK5/UZbmcNLCyqCfWqLTkLAlk8wiTW5J3lpKwL1aoMzozLjuQQv8bpMb0m6twaFxw4+F
        /azSOzmfW4Z/embX+Zn9bKZ3kN6aA86ey07onUehGNaf/GTn30FavYCPjs2rZ405g2X4ZWKx7T/p
        7hfAhG1IEhO29MFOv6XdbjQwPwgix3SBbX1pCPmD7uE7YdTLbSvv51tnytbusGw+rvtPOsLXvwFM
        V1XczA4AAA==
    headers:
      CF-RAY: [2c72d56422690920-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1432']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sat, 23 Jul 2016 23:15:18 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['588.0']
      x-ratelimit-reset: ['282']
      x-ratelimit-used: ['12']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=j0qTAOLnIoGiuqlS7O6%2BnIiNBTmARcCzKMXMQtVVkkuz4aMl12zm3kYo%2BvTDX9KFCygCTPnjgqfcr7AJZtoJST12pSSs1mSH']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
